Namespace
library
Image / Tag
docker:20.10.0-dind
Content Digest
sha256:43741b9aa479ab10fabf947a9b5016b7901142a6b5dd9f1b7716e1a4934fd406
Details
Created

2020-12-12 18:12:33 UTC

Size

76.6 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:05e7bc50f07f000e9993ec0d264b9ffcbb9a01a4d69c68f556d25e9811a8f7f4 - 3.48% (2.67 MB)

[#001] sha256:6db28d0fdbf69ee580b35224bf77ef5e71f9a061c0aafab87064af9708035d9d - 2.54% (1.94 MB)

[#002] sha256:292df0bc6bf3350f306af7623bc14f00386239bb27303d3047104b9cfdb55460 - 0.0% (153 Bytes)

[#003] sha256:2e060f4bd70b333ccaa7ae441b42f1068621b39bbe8eb9c71b5a4e06d10b4ff3 - 86.5% (66.2 MB)

[#004] sha256:80e8d568a22304aafab5a456040525abd0b705efad0b6e60e64847ebe1c6e4e6 - 0.0% (544 Bytes)

[#005] sha256:8dc6ef1a942a0f6b2ab0993eecb7ce30d31f06af50a2ae40893e1a160c9a0892 - 0.0% (1017 Bytes)

[#006] sha256:2312dd95470aa8eaccef80bbca7892390ca777559b50fab574e65147a35107fc - 0.0% (116 Bytes)

[#007] sha256:d74c897205648b865ec45efcc0c0be8a3ccf9f3f3f60cc1383d5564c72302e20 - 7.47% (5.72 MB)

[#008] sha256:1aa8e83a7aeb20771ef165f19449f2733ae1aee4c6efe28b6b2e4109ef65baa8 - 0.0% (1.25 KB)

[#009] sha256:c5b1eb2027ff8834916826431c1bdd26901ee758dfb9877c38275a4e62239295 - 0.0% (933 Bytes)

[#010] sha256:c36cacd847e245cd8b2f813f5cba87f6b5fff177d7845e4cb1b290d27466ebe6 - 0.0% (2.45 KB)


History
2020-12-11 02:04:06 UTC

/bin/sh -c #(nop) ADD file:62a1e09319acb6d1bad91ef1c35aabdc7e5e19883a77f30f1951ccfffc812124 in /

2020-12-11 02:04:07 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-11 05:29:33 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-12-11 05:29:34 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-11 05:29:34 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.0

2020-12-11 05:29:40 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.0.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.0.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.0.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.0.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2020-12-11 05:29:41 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2020-12-11 05:29:41 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2020-12-11 05:29:41 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2020-12-11 05:29:42 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2020-12-11 05:29:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-11 05:29:42 UTC

/bin/sh -c #(nop) CMD ["sh"]

2020-12-12 18:12:30 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2020-12-12 18:12:31 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2020-12-12 18:12:31 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2020-12-12 18:12:32 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2020-12-12 18:12:32 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2020-12-12 18:12:33 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2020-12-12 18:12:33 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2020-12-12 18:12:33 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2020-12-12 18:12:33 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2020-12-12 14:06:07 UTC

Size

70.9 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.0

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:a3cc7d3b244e0bac4f32b7529f804d1ab735b088ea432061c3949b2a890b919f - 3.64% (2.58 MB)

[#001] sha256:02a3295e0d61f852e263682a8285a62d0f4f5832be86af681abc9950847b3bf5 - 2.77% (1.97 MB)

[#002] sha256:0f4f2e6d810069d5f3f3f5d961a35cf03d93a9046b8c37f0c5ad37b6c975f42b - 0.0% (154 Bytes)

[#003] sha256:330b718f631fe67ed5c2ddee0ac1f74cb77a1211022efb33aa66f6f5d6d2f05f - 85.52% (60.6 MB)

[#004] sha256:a938160415222146a455ed7ddae6e01d0c41f91a764f77ac05ed9794d08adf6a - 0.0% (544 Bytes)

[#005] sha256:bdb6da89ff942a1c917a6a29653eb45dfc3826f334b16e17bc82207ce1193cc4 - 0.0% (1017 Bytes)

[#006] sha256:2a70c0c122f402fb4ee26f6661b037f3e6ee30e639f710e4f318dbf908e60a65 - 0.0% (150 Bytes)

[#007] sha256:b8afd8df3b7cdec4857f13fd9220eedddfec97a9b472d534b64c3061aa30cf6e - 8.06% (5.71 MB)

[#008] sha256:4eff5b3d64e850cc6162e025f1861c218b1a6db4195963699adf17792510be4b - 0.0% (1.28 KB)

[#009] sha256:1864e7f84e2dee54ed6b17a27027327bef427f36ab47cc9a02a3fce44e887103 - 0.0% (930 Bytes)

[#010] sha256:111b60a743d62dd15c7c619c9a7c6940cd70e8efc3edf8fda03009c9be8301e1 - 0.0% (2.45 KB)


History
2020-12-11 02:42:58 UTC

/bin/sh -c #(nop) ADD file:a1a6d0f8dffb9bc75438921cdb5c04d2f2f49400a7526dcf3d8dff9238e3235a in /

2020-12-11 02:43:00 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-11 03:42:00 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-12-11 03:42:06 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-11 03:42:09 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.0

2020-12-11 03:42:25 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.0.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.0.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.0.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.0.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2020-12-11 03:42:26 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2020-12-11 03:42:27 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2020-12-11 03:42:28 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2020-12-11 03:42:30 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2020-12-11 03:42:31 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-11 03:42:32 UTC

/bin/sh -c #(nop) CMD ["sh"]

2020-12-12 14:05:54 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2020-12-12 14:05:56 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2020-12-12 14:05:57 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2020-12-12 14:06:02 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2020-12-12 14:06:03 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2020-12-12 14:06:04 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2020-12-12 14:06:05 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2020-12-12 14:06:06 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2020-12-12 14:06:07 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete